"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeFile = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
const fs_1 = require("fs");
const path_1 = require("path");
/**
 * Ensures directory before writing content to file.
 * @param path of file
 * @param content
 */
async function writeFile(path, content) {
    const dir = (0, path_1.dirname)(path);
    await fs_1.promises.mkdir(dir, { recursive: true });
    await fs_1.promises.writeFile(path, content);
}
exports.writeFile = writeFile;
