"use strict";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNoop = exports.runTask = void 0;
/**
 * Run a gulp task and returns a promise. The promise will resolve on completion or
 * reject with an error.
 *
 * @param task gulp task
 */
function runTask(task) {
    return new Promise((resolve, reject) => {
        task((err) => (err ? reject(err) : resolve()));
    });
}
exports.runTask = runTask;
const createNoop = () => () => Promise.resolve();
exports.createNoop = createNoop;
