"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderMappings = void 0;
const token_1 = require("./token");
/**
 * Maps all design tokens of a theme to var() assignments of their custom properties
 * with fallback value
 *
 * @param theme
 * @param propertiesMap map between design tokens and custom properties
 * @returns string containing SCSS mappings
 */
function renderMappings(resolution, variablesMap, propertiesMap) {
    const lines = Object.entries(resolution).map(([token, value]) => {
        return `${(0, token_1.toSassName)(variablesMap[token])}: var(${propertiesMap[token]}, ${value});`;
    });
    return lines.join('\n');
}
exports.renderMappings = renderMappings;
