import { ThemePreset, Override } from '../shared/theme';
import { BuildThemedComponentsInternalParams } from './internal';
export interface BuildThemedComponentsParams extends Pick<BuildThemedComponentsInternalParams, 'scssDir' | 'componentsOutputDir'> {
    /**
     * The `preset` contains the base/fallback theme upon which the custom theme will be applied.
     * If the custom theme does not specify a value for a token, then the corresponding
     * value from the preset will be used.
     *
     * The preset also contains information about how the custom theme will be applied,
     * such as which tokens are allowed to be themed and what outputs are generated.
     */
    preset: ThemePreset;
    override: Override;
    templateDir: string;
    designTokensTemplateDir?: string;
    designTokensOutputDir: string;
    baseThemeId?: string;
}
export declare function buildThemedComponents(params: BuildThemedComponentsParams): Promise<void>;
