"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTokensDeclarationFile = exports.generateTokensFile = exports.createInternalTokenFiles = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
const file_1 = require("../file");
const path_1 = require("path");
async function createInternalTokenFiles(resolution, propertiesMap, outputDir) {
    await (0, file_1.writeFile)((0, path_1.join)(outputDir, 'internal/generated/styles/tokens.js'), generateTokensFile(resolution, propertiesMap));
    await (0, file_1.writeFile)((0, path_1.join)(outputDir, 'internal/generated/styles/tokens.d.ts'), generateTokensDeclarationFile(resolution));
}
exports.createInternalTokenFiles = createInternalTokenFiles;
function generateTokensFile(resolution, propertiesMap) {
    return Object.entries(resolution)
        .map(([token, value]) => `export var ${token} = "var(${propertiesMap[token]}, ${value})";`)
        .join('\n');
}
exports.generateTokensFile = generateTokensFile;
function generateTokensDeclarationFile(resolution) {
    return Object.keys(resolution)
        .map((token) => `export const ${token}: string;`)
        .join('\n');
}
exports.generateTokensDeclarationFile = generateTokensDeclarationFile;
