"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const customizer_1 = require("../../../shared/declaration/customizer");
function increaseSpecificityForRule(rule) {
    rule.selectors = rule.selectors.map(customizer_1.singleThemeCustomizer);
}
const creator = () => {
    return {
        postcssPlugin: 'postcss-increase-specificity',
        Rule(rule) {
            const isInsideKeyframes = rule.parent?.type === 'atrule' &&
                (rule.parent.name === 'keyframes' || rule.parent.name === '-webkit-keyframes');
            if (!isInsideKeyframes) {
                increaseSpecificityForRule(rule);
            }
        },
    };
};
creator.postcss = true;
exports.default = creator;
