"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeCssModule = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
const fs_1 = __importDefault(require("fs"));
const path_1 = __importStar(require("path"));
function writeFile(path, content) {
    const dir = (0, path_1.dirname)(path);
    fs_1.default.mkdirSync(dir, { recursive: true });
    fs_1.default.writeFileSync(path, content);
}
function writeCssModule(relativeCssPath, targetFolder, scopedFileExt, json) {
    const modulePath = path_1.default.join(targetFolder, relativeCssPath);
    const stylesFilename = path_1.default.basename(relativeCssPath, '.css');
    // language=JavaScript
    const content = `
    import './${stylesFilename}${scopedFileExt}';
    export default ${JSON.stringify(json, null, 2)};
  `;
    writeFile(modulePath + '.js', content);
    // this file is used by test-utils where css can't be parsed
    const selectorsOnly = `
    // es-module interop with Babel and Typescript
    Object.defineProperty(exports, "__esModule", { value: true });
    module.exports.default = ${JSON.stringify(json, null, 2)};
  `;
    writeFile(modulePath.slice(0, -4) + '.selectors.js', selectorsOnly);
}
exports.writeCssModule = writeCssModule;
