import { Theme } from '../../shared/theme/interfaces';
import { ModeTokenResolution, SpecificTokenResolution } from '../../shared/theme/resolve';
interface BaseParams {
    exposed: Array<string>;
    variablesMap: Record<string, string>;
    descriptions?: Record<string, string>;
}
interface GetThemeJsonParams extends BaseParams {
    theme: Theme;
}
type ContextsJson = {
    [key: string]: {
        tokens: Record<string, TokenJson>;
    };
};
export interface ThemeJson {
    tokens: Record<string, TokenJson>;
    contexts: ContextsJson;
}
export interface TokenJson {
    $value: ModeTokenResolution | SpecificTokenResolution;
    $description?: string;
}
export declare function getThemeJSON({ theme, ...params }: GetThemeJsonParams): ThemeJson;
export {};
