"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toSassName = exports.toCssVarName = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
const loader_utils_1 = require("loader-utils");
function toCssVarName(variable, values) {
    const id = JSON.stringify([variable, ...values]);
    const hash = (0, loader_utils_1.getHashDigest)(Buffer.from(id), 'md5', 'base36', 6);
    return `--${variable}-${hash}`;
}
exports.toCssVarName = toCssVarName;
function toSassName(variable) {
    return `$${variable}`;
}
exports.toSassName = toSassName;
