"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractCreator = void 0;
const utils_1 = require("../theme/utils");
const utils_2 = require("../utils");
/**
 * Common used helpers by stylesheet creator
 */
class AbstractCreator {
    static forEachOptionalModeState(theme, func) {
        Object.keys(theme.modes).forEach((key) => {
            const mode = theme.modes[key];
            (0, utils_2.entries)(mode.states).forEach(([stateKey, state]) => {
                if ((0, utils_1.isOptionalState)(state)) {
                    func(mode, stateKey);
                }
            });
        });
    }
    static forEachContext(theme, func) {
        Object.keys(theme.contexts).forEach((key) => {
            const context = theme.contexts[key];
            func(context);
        });
    }
    static forEachContextWithinOptionalModeState(theme, func) {
        AbstractCreator.forEachOptionalModeState(theme, (mode, stateKey) => {
            AbstractCreator.forEachContext(theme, (context) => {
                func(context, mode, stateKey);
            });
        });
    }
    static appendRuleToStylesheet(stylesheet, rule, path) {
        if (rule.size()) {
            stylesheet.appendRuleWithPath(rule, path);
        }
    }
}
exports.AbstractCreator = AbstractCreator;
