"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.singleThemeCustomizer = exports.createMultiThemeCustomizer = void 0;
const selector_1 = require("../styles/selector");
const utils_1 = require("../utils");
function createMultiThemeCustomizer(root) {
    // non root selector receives an increased specificity at build time
    // as seen below
    return (selector) => selector === root
        ? (0, selector_1.increaseSpecificityGradually)(selector)
        : (0, selector_1.increaseSpecificity)((0, selector_1.increaseSpecificityGradually)(selector));
}
exports.createMultiThemeCustomizer = createMultiThemeCustomizer;
function singleThemeCustomizer(selector) {
    if ((0, utils_1.includes)(selector, ':root') ||
        (0, utils_1.includes)(selector, ':export') ||
        selector === 'html' ||
        selector === 'body' ||
        (0, selector_1.isIncreased)(selector)) {
        return selector;
    }
    return (0, selector_1.increaseSpecificity)(selector);
}
exports.singleThemeCustomizer = singleThemeCustomizer;
