"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsedPropertyRegistry = exports.AllPropertyRegistry = void 0;
class AllPropertyRegistry {
    constructor(propertiesMap) {
        this.map = propertiesMap;
    }
    get(token) {
        const property = this.map[token];
        if (!property) {
            throw new Error(`Token ${token} does not have a property`);
        }
        return property;
    }
}
exports.AllPropertyRegistry = AllPropertyRegistry;
class UsedPropertyRegistry {
    constructor(propertiesMap, used) {
        this.map = propertiesMap;
        this.used = used;
    }
    get(token) {
        if (this.used.indexOf(token) > -1) {
            return this.map[token];
        }
        return undefined;
    }
}
exports.UsedPropertyRegistry = UsedPropertyRegistry;
