"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuleCreator = void 0;
const stylesheet_1 = require("./stylesheet");
const utils_1 = require("../utils");
class RuleCreator {
    constructor(selector, registry) {
        this.selector = selector;
        this.registry = registry;
    }
    create(config, resolution) {
        const rule = new stylesheet_1.Rule(this.selectorFor(config), config.media);
        (0, utils_1.entries)(resolution).forEach(([token, value]) => {
            const property = this.registry.get(token);
            if (property) {
                rule.appendDeclaration(new stylesheet_1.Declaration(property, value));
            }
        });
        return rule;
    }
    selectorFor(config) {
        return this.selector.for(config);
    }
}
exports.RuleCreator = RuleCreator;
