"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selector = void 0;
class Selector {
    constructor(customizer) {
        this.customizer = customizer;
    }
    for({ global, local }) {
        if (global.length === 1 && !local?.length && global[0] === ':root') {
            // :root is only applied alone
            return this.customizer(':root');
        }
        const globalWithoutRoot = global.filter((f) => f !== ':root');
        let selector = this.toSelector(globalWithoutRoot);
        if (local?.length) {
            selector += ` ${this.toSelector(local)}`;
        }
        return this.customizer(selector.trim());
    }
    toSelector(individuals) {
        // Sort to guarantee a stable generation
        return individuals.slice().sort().join('');
    }
}
exports.Selector = Selector;
