"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeBuilder = void 0;
class ThemeBuilder {
    constructor(id, selector, modes) {
        this.theme = {
            id,
            selector,
            modes: modes.reduce((acc, curr) => {
                acc[curr.id] = curr;
                return acc;
            }, {}),
            tokens: {},
            contexts: {},
            tokenModeMap: {},
        };
    }
    addTokens(tokens, mode) {
        this.theme.tokens = {
            ...this.theme.tokens,
            ...tokens,
        };
        if (mode) {
            const modes = Object.keys(tokens).reduce((acc, token) => {
                acc[token] = mode.id;
                return acc;
            }, {});
            this.theme.tokenModeMap = {
                ...this.theme.tokenModeMap,
                ...modes,
            };
        }
        return this;
    }
    addContext(context) {
        this.theme.contexts[context.id] = context;
        return this;
    }
    build() {
        return this.theme;
    }
}
exports.ThemeBuilder = ThemeBuilder;
