"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonToSass = exports.includes = exports.values = exports.fromEntries = exports.entries = exports.cloneDeep = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
function cloneDeep(obj) {
    return JSON.parse(JSON.stringify(obj));
}
exports.cloneDeep = cloneDeep;
/*
 * Replace those simple helpers with platform features when changing TS target
 */
function entries(obj) {
    return Object.keys(obj).map((key) => [key, obj[key]]);
}
exports.entries = entries;
/**
 * This function mirrors the Object.fromEntries method.
 *
 * See https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/fromEntries
 */
function fromEntries(entries) {
    return entries.reduce((acc, [key, value]) => {
        acc[key] = value;
        return acc;
    }, {});
}
exports.fromEntries = fromEntries;
/**
 * This function mirros the Object.values method.
 *
 * See https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_objects/Object/values
 */
function values(some) {
    return Object.keys(some).map((key) => some[key]);
}
exports.values = values;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function includes(subject, search) {
    return subject.indexOf(search) > -1;
}
exports.includes = includes;
function jsonToSass(json) {
    return `(
    ${Object.keys(json)
        .map((key) => `'${key}': ${typeof json[key] === 'string' ? `"${json[key]}"` : jsonToSass(json[key])}`)
        .join(',\n')}
  )`;
}
exports.jsonToSass = jsonToSass;
